QuantLib: HaganIrregularSwaptionEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | Friends | List of all members
HaganIrregularSwaptionEngine Class Reference

Pricing engine for irregular swaptions. More...

`#include <ql/experimental/swaptions/haganirregularswaptionengine.hpp>`

Inheritance diagram for HaganIrregularSwaptionEngine:
[legend]

## Public Member Functions
| HaganIrregularSwaptionEngine (const Handle< SwaptionVolatilityStructure > &, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
void | calculate () const
Real | HKPrice (Basket &basket, ext::shared_ptr< Exercise > &exercise) const
Real | LGMPrice (Basket &basket, ext::shared_ptr< Exercise > &exercise) const
Public Member Functions inherited from GenericEngine< IrregularSwaption::arguments, IrregularSwaption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Friends
class | rStarFinder

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericEngine< IrregularSwaption::arguments, IrregularSwaption::results >
IrregularSwaption::arguments | arguments_
IrregularSwaption::results | results_

## Detailed Description

Pricing engine for irregular swaptions.

References:

1. P.S. Hagan: "Methodology for Callable Swaps and Bermudan 'Exercise into Swaptions'"

2. P.J. Hunt, J.E. Kennedy: "Implied interest rate pricing models", Finance Stochast. 2, 275–293 (1998)

   Warning:
     Currently a spread is not handled correctly; it should be a minor exercise to account for this feature as well;